/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package net.antonioshome.nb.issues.installer2;

import java.awt.Frame;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.openide.modules.ModuleInstall;
import org.openide.windows.WindowManager;

public class Installer extends ModuleInstall {

	private static Logger logger = Logger.getLogger(Installer.class.getName());

	@Override
	public void restored() {
		logger.log(Level.SEVERE, "Installer 2: restored method");
		WindowManager.getDefault().invokeWhenUIReady(new Runnable() {

			@Override
			public void run() {
				verifyMainWindowName();
			}
		});
	}

	private void verifyMainWindowName() {

		logger.log(Level.SEVERE, "Installer 2: UI is ready.");

		Frame frame = WindowManager.getDefault().getMainWindow();

		logger.log(Level.SEVERE, "Main window is of type: " + frame.getClass().getName() );
		logger.log(Level.SEVERE, "Currently available frames are:");
		Frame[] frames = Frame.getFrames();
		frames = frames == null ? new Frame[0] : frames;
		for (Frame f : frames) {
			logger.log(Level.SEVERE, "Intaller 2: Available frame with name: " + f.getName());
		}




	}
}
